Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Ros PLUGINLIB_EXPORT_CLASS error

Error Message: Available plugins: ompl_interface/OMPLPlanner

I believe my macro matches my xml file:

Macro:

#include <pluginlib/class_list_macros.h>
PLUGINLIB_EXPORT_CLASS(vs060A1_AV6_NNN_NNN_manipulator_kinematics::IKFastKinematicsPlugin, kinematics::KinematicsBase);

XML:

<?xml version='1.0' encoding='ASCII'?>
<library path="lib/libvs060A1_AV6_NNN_NNN_kinematics_lib">
  <class name="vs060A1_AV6_NNN_NNN_manipulator_kinematics/IKFastKinematicsPlugin" type="vs060A1_AV6_NNN_NNN_manipulator_kinematics::IKFastKinematicsPlugin" base_class_type="kinematics::KinematicsBase">
    <description>IKFast61 plugin for closed-form kinematics</description>
  </class>
</library>

I also find it very weird that it then lists it as an available plugin at the bottom of the error message.

Im on kinetic 16.04

Ros PLUGINLIB_EXPORT_CLASS error

Error Message: Message:

[ERROR] [1529093425.848827730]: Exception while loading planner 'ompl_interface/OMPLPlanner': Failed to load library /opt/ros/kinetic/lib/libmoveit_ompl_planner_plugin.so. Make sure that you are calling the PLUGINLIB_EXPORT_CLASS macro in the library code, and that names are consistent between this macro and your XML. Error string: Could not load library (Poco exception = libmoveit_planning_interface.so.0.9.12: cannot open shared object file: No such file or directory)
Available plugins: ompl_interface/OMPLPlanner

ompl_interface/OMPLPlanner

I believe my macro matches my xml file:

Macro:

#include <pluginlib/class_list_macros.h>
PLUGINLIB_EXPORT_CLASS(vs060A1_AV6_NNN_NNN_manipulator_kinematics::IKFastKinematicsPlugin, kinematics::KinematicsBase);

XML:

<?xml version='1.0' encoding='ASCII'?>
<library path="lib/libvs060A1_AV6_NNN_NNN_kinematics_lib">
  <class name="vs060A1_AV6_NNN_NNN_manipulator_kinematics/IKFastKinematicsPlugin" type="vs060A1_AV6_NNN_NNN_manipulator_kinematics::IKFastKinematicsPlugin" base_class_type="kinematics::KinematicsBase">
    <description>IKFast61 plugin for closed-form kinematics</description>
  </class>
</library>

I also find it very weird that it then lists it as an available plugin at the bottom of the error message.

Im on kinetic 16.04